Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 662786 - [abrt] nicotine+-1.2.16-1.fc13: slskmessages.py:69:__init__:Exception: Programming bug
Summary: [abrt] nicotine+-1.2.16-1.fc13: slskmessages.py:69:__init__:Exception: Progra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nicotine+
Version: 13
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:17c0c29d
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 21:06 UTC by vinced
Modified: 2011-01-06 19:25 UTC (History)
1 user (show)

Fixed In Version: nicotine+-1.2.16-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-06 19:25:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (837 bytes, text/plain)
2010-12-13 21:06 UTC, vinced
no flags Details

Description vinced 2010-12-13 21:06:08 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/bin/nicotine
component: nicotine+
executable: /usr/bin/nicotine
kernel: 2.6.34.7-63.fc13.i686
package: nicotine+-1.2.16-1.fc13
reason: slskmessages.py:69:__init__:Exception: Programming bug
release: Fedora release 13 (Goddard)
time: 1292263403
uid: 500

backtrace
-----
slskmessages.py:69:__init__:Exception: Programming bug

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pynicotine/gtkgui/utils.py", line 1023, in OnVersion
    self.frame.privatechats.SendMessage(self.user, "\x01VERSION\x01")
  File "/usr/lib/python2.6/site-packages/pynicotine/gtkgui/privatechat.py", line 100, in SendMessage
    self.users[user].SendMessage(text)
  File "/usr/lib/python2.6/site-packages/pynicotine/gtkgui/privatechat.py", line 514, in SendMessage
    self.frame.np.queue.put(slskmessages.MessageUser(self.user, ToBeEncoded(self.frame.AutoReplace(text), self.encoding)))
  File "/usr/lib/python2.6/site-packages/pynicotine/slskmessages.py", line 69, in __init__
    raise(Exception("Programming bug"))
Exception: Programming bug

Local variables in innermost frame:
uni: '\x01VERSION\x01'

How to reproduce
-----
1. right clic on user (in private tchat) -> see client's version
2. nothnig happened, except this bug
3.

Comment 1 vinced 2010-12-13 21:06:11 UTC
Created attachment 468487 [details]
File: backtrace

Comment 2 Mohamed El Morabity 2010-12-28 01:18:44 UTC
Sorry for the late answer. The bug was reported upstream:
  http://www.nicotine-plus.org/ticket/697

Comment 3 Mohamed El Morabity 2010-12-29 00:15:11 UTC
This bug was fixed upstream. A new version of nicotine+ will be available very soon in testing. Once notified about it, please test it and close th ebug if OK.

Comment 4 Fedora Update System 2010-12-29 00:28:25 UTC
nicotine+-1.2.16-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nicotine+-1.2.16-2.fc14

Comment 5 Fedora Update System 2010-12-29 00:37:19 UTC
nicotine+-1.2.16-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nicotine+-1.2.16-2.fc13

Comment 6 Fedora Update System 2010-12-29 21:53:31 UTC
nicotine+-1.2.16-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nicotine+'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nicotine+-1.2.16-2.fc14

Comment 7 Fedora Update System 2011-01-06 19:25:10 UTC
nicotine+-1.2.16-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-06 19:25:21 UTC
nicotine+-1.2.16-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.